PG_LO_WRITE()

NAME
pg_lo_write - write to a large object

SYNOPSIS

pg_lo_write conn descriptor buf len

DESCRIPTION

pg_lo_write writes at most len bytes from a variable buf to a large object.

ARGUMENTS

conn
    The handle of a connection to the database in which the large object exists.

descriptor
    A descriptor for the large object from pg_lo_open.

buf The string to write to the large object (not a variable name, but the value itself).

len The maximum number of bytes to write. The number written will be the smaller of this value and the length of the string.

RETURN VALUE

The number of bytes actually written is returned; this will ordinarily be the same as the number requested. In event of an error, the return value is negative.